Loading...
Searching...
No Matches
functional.h File Reference
`#include "platform.h"`
`#include "utility.h"`

Go to the source code of this file.

## Classes

class | etl::reference_wrapper< T >
struct | etl::unwrap_reference< T >
| unwrap_reference. More...
struct | etl::unwrap_reference< etl::reference_wrapper< T > >
struct | etl::unwrap_ref_decay< T >
| unwrap_ref_decay. More...
struct | etl::is_reference_wrapper< T >
struct | etl::is_reference_wrapper< etl::reference_wrapper< T > >
struct | etl::unary_function< TArgumentType, TResultType >
| unary_function More...
struct | etl::binary_function< TFirstArgumentType, TSecondArgumentType, TResultType >
| binary_function More...
struct | etl::less< T >
struct | etl::less_equal< T >
struct | etl::greater< T >
struct | etl::greater_equal< T >
struct | etl::equal_to< T >
struct | etl::not_equal_to< T >
class | etl::binder1st< TFunction >
class | etl::binder2nd< TFunction >
struct | etl::plus< T >
struct | etl::minus< T >
struct | etl::negate< T >
struct | etl::multiplies< T >
struct | etl::divides< T >
struct | etl::modulus< T >
struct | etl::logical_and< T >
struct | etl::logical_or< T >
struct | etl::logical_not< T >
struct | etl::bit_and< T >
struct | etl::bit_or< T >
struct | etl::bit_xor< T >
struct | etl::bit_not< T >

## Namespaces

namespace | etl

## Functions

template<typename T>
reference_wrapper< T > | etl::ref (T &t)
template<typename T>
reference_wrapper< T > | etl::ref (reference_wrapper< T > t)
template<typename T>
reference_wrapper< const T > | etl::cref (const T &t)
template<typename T>
reference_wrapper< const T > | etl::cref (reference_wrapper< T > t)
template<typename F, typename T>
ETL_CONSTEXPR binder1st< F > | etl::bind1st (const F &f, const T &x)
template<typename F, typename T>
ETL_CONSTEXPR binder2nd< F > | etl::bind2nd (const F &f, const T &x)